<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>descMetaData test</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">descMetaData user command test </H1>

        <H2>Test Objectives</H2>
		<UL>
		<LI>Exerscise valid command options in descMetaData user command</LI>		
		<LI>Exercise some invalid command options to test exception handling</LI>
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
		<LI><font color='brown'>managerAPI</font>: directs processing of the insertion user commands to the ligolwAPI and metadataAPI
			and returns the user command status to the user.</LI>
		<LI><font color='brown'>ligolwAPI</font>: 
			<UL>
			<LI>Retrieves the data to be ingested from the specified url to ilwd object and sends the ilwd
			to the metadataAPI for insertion.
			</UL>
		<LI><font color='brown'>metadataAPI</font>: 
			<UL>
			<LI>insert the metadata ilwd data from ligolwAPI into the specified database.</LI>
			</UL>
		</UL>
		
		
        <H2>Setup</H2>
        <ul>
        <li>Using ligotools <p>If ligotools is desired, check that ligotools is mounted:
        <pre>
        ldas:ldas:ldas-dev.ldas-dev:test> df /ligotools
        Filesystem           1K-blocks      Used Available Use% Mounted on
        /dev/dsk/c3t1d0s6    498316151 326700089 171616062  66% /export
        </pre>
        Set up a default ldas account and password via ligotools utility <i>ldaspw</i>. Currently ligotools does not support job submission
        via globus sockets. </li><p> 
        <li>Default is use the LDAS ldasJob package included in installation. Globus socket is supported.
        <li>Test driver <CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/descMetaData.tcl?rev=HEAD;content-type=text%2Fplain'>descMetadata.tcl</a></font>
        is found in /ldas/testbin and is part of ldas installation. Supporting generic test scripts are in /ldas/lib/test and /ldas/libexec.
        </li><p>
		</UL>
        </li>
        </ul>
        <H2>Test Execution</H2>
		<ol>
        <li>Login to dev gateway as user <b>ldas</b></li>
		<li>cd &lt;your work directory&gt;</li>
		
        <B>Usage:</B> <CODE> <font color='brown'>/ldas/testbin/descMetaData.tcl [options] >& descMetData.log & </font></CODE><p>
        Options described are specific to descMetaData but when running generic options are included.

        <P><TABLE border=1 cellspacing=0 cellpadding=5>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
			<TR>
                <TD valign=top><CODE>&lt;--database&gt;</CODE>
                <TD>database name at a site e.g. dev_1
        </TABLE><p>e.g. with globus sockets<pre><font color='brown'>        
   	descMetaData.tcl --site dev -debug 0 -verbose lpse --enable-globus 1 --enable-gsi 1 
    	--database dev_1 &lt;/dev/null &gt;& descMetaData.log &</font></pre>
        and with tcl sockets<pre><font color='brown'>
        descMetaData.tcl --site dev -debug 0 -verbose lpse --enable-globus 0 --enable-gsi 0 
        --database dev_1 &lt;/dev/null &gt;& descMetaData.log &</font></pre>
        To enable debugging, set debug level to 1 or greater <pre><font color='brown'>        
   	descMetaData.tcl --site dev -debug 1 -verbose lpse --enable-globus 1 --enable-gsi 1 
    	--database dev_1 --qa-debug-level 1 &lt;/dev/null &gt;& descMetaData.log &</font></pre>
        </li>
        </ol>
		<p>
		<H2>Test Validation:</H2>
		When test has completed, check the end for all passes and no unexpected failures.
        e.g. <pre><font color='brown'>
            descMetaData.tcl:       Total   16      Passed  16      Skipped 0       Failed  0</font></pre>

    </BODY>
</HTML>

